<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_levitate', language 'en', version '4.3'.
 *
 * @package     local_levitate
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['about_course'] = 'About the course';
$string['access_domain'] = 'Access domain(s)';
$string['addnewcourse'] = 'Create new course';
$string['analytics'] = 'Analytics';
$string['analytics_capability'] = 'You have no capabilities to explore the levitate analytics';
$string['author'] = 'Levitate';
$string['cancel'] = 'Cancel';
$string['catalog_capability'] = 'You have no capabilities to explore the levitate catalog';
$string['clear_filters'] = 'Clear filters';
$string['completion_statistics'] = 'Completion statistics';
$string['contact_details'] = 'Contact details';
$string['contact_person'] = 'Contact person';
$string['course_statistics'] = 'Course statistics (courses enrolled)';
$string['coursecategory'] = 'Course category';
$string['coursecategory_required'] = 'Kindly select the course category';
$string['coursecreation'] = 'Course format';
$string['coursecreation_help'] = 'Single activity format : create course with single topic <br> Topics format : create course with multiple topics';
$string['coursefullname'] = 'Course full name';
$string['coursesettings'] = 'Course settings';
$string['courseshortname'] = 'Course short name';
$string['coursetype'] = 'Course creation';
$string['coursetype_help'] = 'Single course : create single course with the selected content items <br> Multiple courses : create multiple courses for the selected content items';
$string['create_course_task'] = 'Create courses';
$string['create_courses'] = 'Create courses';
$string['duration'] = 'Duration';
$string['execute_now1'] = 'To execute now -';
$string['execute_now2'] = 'Click here and run create courses task';
$string['explore_courses'] = 'Explore catalog';
$string['explorenow'] = 'Explore catalog';
$string['findcourse'] = 'Find a course...';
$string['get_token'] = 'Configuration settings';
$string['gettoken'] = 'Get token';
$string['headerconfig'] = 'Configuration';
$string['headerconfig_desc'] = 'Configuration';
$string['heading'] = 'Explore catalog';
$string['heading_analytics'] = 'Analytics dashboard';
$string['invalidtoken'] = 'Provided token is not a valid one, Kindly update the token from the plugin settings';
$string['keywords'] = 'Keywords';
$string['language'] = 'Language';
$string['learning_objectives'] = 'Learning objectives';
$string['levitate:view_levitate_analytics'] = 'Capability to view analytics';
$string['levitate:view_levitate_catalog'] = 'Capability to explore course catalog';
$string['loading'] = 'loading...';
$string['multi_activity_course'] = 'Topics format';
$string['multi_course_creation_fail'] = 'Courses creation failed';
$string['multi_course_creation_success'] = 'Courses created successfully';
$string['multi_coursetype'] = 'Multiple courses';
$string['my_details'] = 'My details';
$string['no_course_found'] = 'No courses found for the selected filters';
$string['no_response_found'] = 'Please update the <a href="{$a}">Sever URL</a> with the correct one.';
$string['outof'] = 'out of';
$string['pluginname'] = 'Levitate';
$string['popular_courses'] = 'Popular courses';
$string['privacy:metadata'] = 'Levitate plugin only displays existing course metadata in levitate server.';
$string['program'] = 'Program';
$string['report_completions'] = 'Completions';
$string['report_enrolments'] = 'Enrolments';
$string['report_month'] = 'Month';
$string['report_timespent'] = 'Timespent';
$string['requiredfields'] = 'There are required fields in this form marked *.';
$string['seat_utilization'] = 'Seat utilization';
$string['seats_bought'] = 'Total seats';
$string['seats_used'] = 'Remaining seats';
$string['secret'] = 'Token';
$string['secret_desc'] = 'Token';
$string['secret_help'] = 'The Token helps to authorize the user and explore Levitate courses';
$string['secret_url'] = 'Generate token';
$string['selectcategory'] = 'Select category';
$string['server_url'] = 'Server url';
$string['shortname_exists'] = 'Shortname exists, change it';
$string['single_activity_course'] = 'Single activity format';
$string['single_course_creation_fail'] = 'Course creation failed';
$string['single_course_creation_success'] = 'Course created successfully';
$string['single_coursetype'] = 'Single course';
$string['submit'] = 'Create courses';
$string['subscripton_start'] = 'Subscription start & end';
$string['task_time'] = 'Courses will be created in next schedule task execution on {$a}';
$string['title'] = 'Explore catalog';
$string['to'] = 'to';
$string['total_completions'] = 'Total completions';
$string['total_courses'] = 'Total courses';
$string['total_enrolls'] = 'Total enrollments';
$string['total_minutes'] = 'Total minutes';
$string['total_users'] = 'Active / Total seats';
$string['xvalue'] = '×';
