<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'plagiarism_origai', language 'en', version '4.3'.
 *
 * @package     plagiarism_origai
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['adminconfig'] = 'OriginalityAI Plagiarism Plugin Configuration';
$string['adminconfigsavesuccess'] = 'OriginalityAI Plagiarism Plugin Settings Saved';
$string['apikey'] = 'OriginalityAI API Key';
$string['apikeyhelp'] = 'If you do not have a API key, please <a target="_blank" href="https://originality.ai?lmref=IJh0Aw">click here to sign up for your own.</a>';
$string['apikeyrequired'] = 'Key of OriginalityAI API is required';
$string['apiurl'] = 'OriginalityAI API Base URL';
$string['apiurlrequired'] = 'Base URL of OriginalityAI API is required';
$string['disabledformodule'] = 'OriginalityAI plugin is disabled for this module';
$string['enablemodule'] = 'Enable Plugin for {$a}';
$string['failmsg'] = 'Fail';
$string['fleschscore'] = 'Flesch Grade Level Score:';
$string['fullreportlink'] = 'Full Report Link';
$string['matchinfo'] = 'Match Information';
$string['matchpercentage'] = 'Match Percentage:';
$string['nopageaccess'] = 'Access Denied to this Page';
$string['origai'] = 'OriginalityAI Plagiarism Plugin';
$string['origaicoursesettings'] = 'OriginalityAI settings';
$string['origaienable'] = 'Enable OriginalityAI';
$string['phrase'] = 'Phrase:';
$string['plagiarismscan'] = 'Plagiarism Scan from OriginalityAI';
$string['pluginname'] = 'OriginalityAI Plagiarism Plugin';
$string['privacy:metadata:plagiarism_origai_client'] = 'In order to generate plagiarism report, submission data needs to be exchanged with OriginalityAI.';
$string['privacy:metadata:plagiarism_origai_client:submission_content'] = 'The submission content is sent to OriginalityAI for plagiarism report.';
$string['privacy:metadata:plagiarism_origai_files'] = 'Information that links submission made on Moodle with the plagiarism results generated by OriginalityAI.';
$string['privacy:metadata:plagiarism_origai_plagscan:fleschgradelevel'] = 'The flesch grade level of the submission.';
$string['privacy:metadata:plagiarism_origai_plagscan:totaltextscore'] = 'The total text score of the submission.';
$string['privacy:metadata:plagiarism_origai_plagscan:updatedtime'] = 'A timestamp indicating when the submission made by the user last modified';
$string['privacy:metadata:plagiarism_origai_plagscan:userid'] = 'The ID of the user who has made the submission.';
$string['reportpagetitle'] = 'Originality AI Scan Report';
$string['score'] = 'Score:';
$string['status'] = 'Status =';
$string['studentdisclosure'] = 'Student Disclosure';
$string['studentdisclosure_help'] = 'This text will be displayed to all students on the file upload page.';
$string['studentdisclosuredefault'] = 'All files uploaded will be submitted to a plagiarism detection service';
$string['successmsg'] = 'Success';
$string['totalmatches'] = 'Total Matches:';
$string['useorigai'] = 'Enable OriginalityAI';
$string['website'] = 'Website:';
