<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tiny_stash', language 'en', version '4.3'.
 *
 * @package     tiny_stash
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['additem'] = 'Add item';
$string['additemgain'] = 'Add item to gain';
$string['additemlocation'] = 'Add item and create drop';
$string['additemloss'] = 'Add item to loss';
$string['additemsandlocation'] = 'Add items and drops';
$string['addlocation'] = 'Add drop';
$string['addlocationitem'] = 'Add a drop for this item';
$string['addtrade'] = 'Add a trade';
$string['addtrades'] = 'Click \'Add a trade\' to configure a trade to be inserted here.';
$string['buttontitle'] = 'Insert stash item';
$string['choose'] = 'Choose ...';
$string['collectioninterval'] = 'Collection interval';
$string['collectionintervaltime'] = 'Collection interval time';
$string['createitems'] = 'Create items and a drop to configure it here.';
$string['days'] = 'days';
$string['dropselect'] = 'Select an item or trade to insert a code';
$string['generaloverview'] = 'General overview';
$string['help'] = 'Stash is a series of plugins that allows you to add items around the course for students to find and collect.';
$string['help2'] = 'This editor plugin allows you to create items and tie them to a drop. The drop and its associated information is what is added to this text area for students to interact with.';
$string['help3'] = 'More detailed information is available here:';
$string['helplinktext'] = 'Add a stash code';
$string['hours'] = 'hours';
$string['imagewarning'] = 'Please add an image for the item';
$string['item'] = 'Item';
$string['itemhelp1'] = 'Items are the base elements that students collect in your course. The hard requirements for creating an item are a name for it, and a picture.';
$string['itemhelp2'] = 'The optional settings for creating an item are whether it is scarce or not, and details about the item.';
$string['itemhelp3'] = 'Scarce items are limited to a course. If you select this option and then specify a number such as \'5\', there will only be five of this item in the course.';
$string['itemhelp4'] = 'Details about the item is text that the student will see when they click on this item in their stash.';
$string['itemhelplink'] = 'Items and how to create them';
$string['items'] = 'Items';
$string['itemsandlocation'] = 'Drop configuration and insertion';
$string['itemsandtrade'] = 'Trade insertion';
$string['location'] = 'Location';
$string['locationhelp'] = 'Drops are a way to place items into the course multiple times. If you have a common item that you reward your students with (e.g. Money), instead of creating multiple money items, you just create another drop for that item. Each item can be configured to limit how many of the item are available, how often they spawn, and if there is an unlimited supply.';
$string['locationhelp2'] = 'The Drop configurations have a location name for your benefit only. This is used to remind you were this item is located (if you are in the general management screen).';
$string['locationhelp3'] = 'This plugin will have a guess at a location name for your drop. You are free to change it to anything else.';
$string['locationhelp4'] = 'Drops can be displayed in three different ways: As a link, Only and image, or as an image with a button. The last option is the most obvious for students to identify as a stash item.';
$string['locationhelplink'] = 'Drops and what they are for';
$string['locationneeded'] = 'Drop needed';
$string['locations'] = 'Drops';
$string['minutes'] = 'minutes';
$string['modalheading'] = 'Stash code helper';
$string['namewarning'] = 'Please add a name for the item';
$string['noitems'] = 'You have no items';
$string['nolocations'] = 'Please create a drop to configure here, before being inserted into this editor.';
$string['notrades'] = 'You currently have no trades created';
$string['pickup'] = 'Pick up!';
$string['pluginname'] = 'Tiny stash';
$string['privacy:metadata'] = 'This plugin stores no user data';
$string['seconds'] = 'seconds';
$string['snippetinserter'] = 'Snippet inserter';
$string['supplies'] = 'Supplies';
$string['tradehelp'] = 'Trades are a widget that allows students to hand in items in exchange for something else.';
$string['tradehelp2'] = 'When configuring a trade, all items on the left are what the student will get. Items on the right are what they will lose.';
$string['tradehelp3'] = 'Trade widgets are put into the course in the same way that drops are. Selecting a trade from the trade insertion screen will show a preview of what will be inserted.';
$string['tradehelplink'] = 'Trades and when to use them';
$string['trades'] = 'Trades';
$string['unlimited'] = 'Unlimited';
$string['weeks'] = 'weeks';
